MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024159Community[OCCT] OCCT:Data Exchangepublic2013-09-10 17:292014-11-11 12:58
Reportergoeranbarz 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version32bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024159: Colors are not imported for Step-Files created with Inventor 2014
DescriptionWhen I try to import the attached step-file, the colors are missing.
STEPConstruct_Styles::LoadStyles looks for entities of either StepVisual_MechanicalDesignGeometricPresentationRepresentation or StepVisual_DraughtingModel as the type, but the Step Library used with Autodesk Inventor 2014 seems to use another way to export the colors.
Steps To Reproduce//read the Step File
Handle(TDocStd_Document) hDoc;
XCAFApp_Application::GetApplication()->NewDocument("MDTV_XCAF", hDoc);
STEPCAFControl_Reader reader;
reader.SetColorMode(true);
reader.ReadFile(strFileName);
reader.Transfer(hDoc);

//Access the Colors
Handle(XCAFDoc_ColorTool) hColorTool = XCAFDoc_DocumentTool::ColorTool(hDoc->Main());
TDF_LabelSequence Labels;
hColorTool->GetColors(Labels);//no color was imported
TagsNo tags attached.
Test case numberde step_1(004) E3
Attached Files? file icon 2014_MEIN_HS_org.stp (183,614 bytes) 2013-09-10 17:29

- Relationships

-  Notes
(0032034)
git (administrator)
2014-09-23 17:46

Branch CR24159 has been created by dbv.

SHA-1: b353550f3c587586975ff744a3a6b3272f797536


Detailed log of new commits:

Author: dbv
Date: Tue Sep 23 17:45:55 2014 +0400

    0024159: Colors are not imported for Step-Files created with Inventor 2014
    
    Method STEPConstruct_Styles::LoadStyles() now imports StepVisual_StyledItem entities even if they was defined without StepVisual_MechanicalDesignGeometricPresentationRepresentation or StepVisual_DraughtingModel entity
(0032036)
dbv (developer)
2014-09-23 17:48

Method STEPConstruct_Styles::LoadStyles() now imports StepVisual_StyledItem entities even if they was defined without StepVisual_MechanicalDesignGeometricPresentationRepresentation or StepVisual_DraughtingModel entity

Dear gka, patch is ready be reviewed in branch CR24159
(0032051)
abv (manager)
2014-09-24 08:49

No remarks, please test
(0032096)
git (administrator)
2014-09-24 15:58

Branch CR24159 has been updated forcibly by apv.

SHA-1: 9ee9971ee4e52e4498c827d5d44644d970e3bcf7
(0032141)
apv (tester)
2014-09-25 14:14

Dear BugMaster,

Branch CR24159 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 9ee9971ee4e52e4498c827d5d44644d970e3bcf7

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
   MacOS: 193 (193 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR24159-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24159-master-occt/Windows-32-VC10/summary.html [^]
de step_1(004) A1, E3, J7, J8, J9, N7
de step_2(005) K4, K5, K8
de step_3(006) C9
de step_4(007) E3

Testing cases:
Not done

Testing on Linux:
Total MEMORY difference: 354699004 / 354707176
Total CPU difference: 46226.690000000046 / 44597.82000000009

Testing on Windows:
Total MEMORY difference: 244494736 / 241480544
Total CPU difference: 36830.28125 / 33949.359375
(0032155)
dbv (developer)
2014-09-25 15:10

Dear apv,

as now all the colors are read, following test cases should be updated:
de step_1(004) A1, E3, J7, J8, J9, N7
de step_2(005) K4, K5, K8
de step_3(006) C9
de step_4(007) E3


(0032161)
git (administrator)
2014-09-25 17:02

Branch CR24159 has been updated by apv.

SHA-1: a64ea29cae946f4e8d4d4f5ba0c0d1682c2d77a3


Detailed log of new commits:

Author: apv
Date: Thu Sep 25 17:02:14 2014 +0400

    Update of reference data

(0032387)
git (administrator)
2014-09-30 11:34

Branch CR24159 has been deleted by inv.

SHA-1: a64ea29cae946f4e8d4d4f5ba0c0d1682c2d77a3

- Related Changesets
occt: master ec661e43
Timestamp: 2014-09-26 12:21:03
Author: dbv
Committer: bugmaster
Details ] Diff ]
0024159: Colors are not imported for Step-Files created with Inventor 2014

Method STEPConstruct_Styles::LoadStyles() now imports StepVisual_StyledItem entities even if they was defined without StepVisual_MechanicalDesignGeometricPresentationRepresentation or StepVisual_DraughtingModel entity

Update of reference data
mod - src/STEPConstruct/STEPConstruct_Styles.cdl Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_Styles.cxx Diff ] File ]
mod - tests/de/step_1/A1 Diff ] File ]
mod - tests/de/step_1/E3 Diff ] File ]
mod - tests/de/step_1/J7 Diff ] File ]
mod - tests/de/step_1/J8 Diff ] File ]
mod - tests/de/step_1/J9 Diff ] File ]
mod - tests/de/step_1/N7 Diff ] File ]
mod - tests/de/step_2/K4 Diff ] File ]
mod - tests/de/step_2/K5 Diff ] File ]
mod - tests/de/step_2/K8 Diff ] File ]
mod - tests/de/step_3/C9 Diff ] File ]
mod - tests/de/step_4/E3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-10 17:29 goeranbarz New Issue
2013-09-10 17:29 goeranbarz Assigned To => gka
2013-09-10 17:29 goeranbarz File Added: 2014_MEIN_HS_org.stp
2014-07-03 14:17 gka Assigned To gka => dbv
2014-09-12 11:25 abv Target Version => 6.8.0
2014-09-23 17:46 git Note Added: 0032034
2014-09-23 17:46 dbv Status new => assigned
2014-09-23 17:48 dbv Note Added: 0032036
2014-09-23 17:48 dbv Assigned To dbv => gka
2014-09-23 17:48 dbv Status assigned => resolved
2014-09-24 08:49 abv Note Added: 0032051
2014-09-24 08:49 abv Assigned To gka => bugmaster
2014-09-24 08:49 abv Status resolved => reviewed
2014-09-24 14:47 apv Assigned To bugmaster => apv
2014-09-24 15:58 git Note Added: 0032096
2014-09-25 14:14 apv Note Added: 0032141
2014-09-25 14:15 apv Assigned To apv => dbv
2014-09-25 14:15 apv Status reviewed => assigned
2014-09-25 15:05 dbv Status assigned => resolved
2014-09-25 15:10 dbv Note Added: 0032155
2014-09-25 15:10 dbv Assigned To dbv => apv
2014-09-25 15:10 dbv Status resolved => reviewed
2014-09-25 17:02 git Note Added: 0032161
2014-09-25 17:04 apv Test case number => de step_1(004) E3
2014-09-25 17:04 apv Assigned To apv => bugmaster
2014-09-25 17:04 apv Status reviewed => tested
2014-09-29 15:31 bugmaster Changeset attached => occt master ec661e43
2014-09-29 15:31 bugmaster Status tested => verified
2014-09-29 15:31 bugmaster Resolution open => fixed
2014-09-30 11:34 git Note Added: 0032387
2014-11-11 12:44 user533 Fixed in Version => 6.8.0
2014-11-11 12:58 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker